View Entity

This generic method is used for getting an Entity configuration regardless of the type of Entity.
Refer to the specific API endpoint documentation for each type of Entity for details on the config attributes etc.

Path Params
string
required

The name of the space (database) assigned to you.

string
required
Query Params
hideFields
array of strings

Optional comma-separated list of fields to hide from the returned result, Most fields in the root object can be specified, for example: hideFields=assignedTo,category,runInfo,cms,metaData.
This is useful for reducing the size of the Json result, but can also have a big impact on performance. It is recommended to hide especially runStatus unless it's needed.

hideFields
boolean

If true, excludes the *Info fields from the returned result, including within the configuration. Setting this to true helps improve performance.

boolean

If true, converts any generated Entity Id fields in the configuration to instead return the referenced Entity's name. This is very hepful when comparing configurations between different environments, as the generated Entity Ids would otherwise be different and not comparable.
Note that returning the names instead of the Ids still generates valid Json configurations, since all Entity Id fields accept lookupIds when saving

Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json